%define upstream_name    Mail-SPF
%define upstream_version 3.20240205

%{?perl_default_filter}

Name:       perl-%{upstream_name}
Version:    %perl_convert_version %{upstream_version}
Release:    %mkrel 1

Summary:    Perl implementation of Sender Policy Framework and Sender ID
License:    BSD
Group:      Development/Perl
Url:        https://metacpan.org/release/%{upstream_name}
Source0:    https://cpan.metacpan.org/modules/by-module/Mail/%{upstream_name}-%{upstream_version}.tar.gz

Obsoletes:  perl-Mail-SPF-Query
BuildRequires: perl(Error)
BuildRequires: perl(ExtUtils::MakeMaker)
BuildRequires: perl(Getopt::Long)
BuildRequires: perl(IO::File)
BuildRequires: perl(IO::Handle)
BuildRequires: perl(IO::Socket::INET)
BuildRequires: perl(IO::Socket::UNIX)
BuildRequires: perl(Net::DNS::RR)
BuildRequires: perl(Net::DNS::Resolver)
BuildRequires: perl(Net::DNS::Resolver::Programmable)
BuildRequires: perl(NetAddr::IP)
BuildRequires: perl(Socket)
BuildRequires: perl(Sys::Hostname)
BuildRequires: perl(Test::More)
BuildRequires: perl(URI::Escape) >= 1.130.0
BuildRequires: perl(base)
BuildRequires: perl(blib)
BuildRequires: perl(constant)
BuildRequires: perl(overload)
BuildRequires: perl(strict)
BuildRequires: perl(utf8)
BuildRequires: perl(warnings)
BuildArch:  noarch

%description
Mail::SPF is an object-oriented Perl implementation of the Sender Policy
Framework (SPF) e-mail sender authentication system <http://www.openspf.org>.

It supports both the TXT and SPF RR types as well as both SPFv1 (v=spf1) and
Sender ID (spf2.0) records, and it is fully compliant to RFCs 4408 and 4406.
(It does not however implement the patented PRA address selection algorithm
described in RFC 4407.)

%package -n	spf-tools
Summary:    SPF tools (spfquery, spfd) based on the Mail::SPF Perl module
Group:      Development/Perl
#Obsoletes:	perl-Mail-SPF-Query
#Provides:	perl-Mail-SPF-Query = %{version}-%{release}

%description -n	spf-tools
A collection of Sender Policy Framework (SPF) tools that are based on the
fully RFC-conforming Mail::SPF Perl module.  The following tools are included
in this package:

 * mail-spfquery:  A command-line tool for performing SPF checks.
 * mail-spfd:      A daemon for services that perform SPF checks frequently.

%prep
%setup -q -n %{upstream_name}-%{upstream_version}

%build
%__perl Makefile.PL INSTALLDIRS=vendor
%make_build

#%%check
#%make_build test

%install
%make_install

# fix file clash with perl-Mail-SPF-Query
mv %{buildroot}%{_bindir}/spfquery %{buildroot}%{_bindir}/mail-spfquery
mv %{buildroot}%{_bindir}/spfd %{buildroot}%{_bindir}/mail-spfd
mv %{buildroot}%{_mandir}/man1/spfd.1 %{buildroot}%{_mandir}/man1/mail-spfd.1 
mv %{buildroot}%{_mandir}/man1/spfquery.1 %{buildroot}%{_mandir}/man1/mail-spfquery.1 

%files
%doc Changes INSTALL LICENSE META.yml MYMETA.yml README SIGNATURE TODO
%{perl_vendorlib}/Mail/*.pm
%{perl_vendorlib}/Mail/SPF/Mech/*.pm
%{perl_vendorlib}/Mail/SPF/Mod/*.pm
%{perl_vendorlib}/Mail/SPF/*.pm
%{perl_vendorlib}/Mail/SPF/v1/*.pm
%{perl_vendorlib}/Mail/SPF/v2/*.pm
%{_mandir}/man3/*

%files -n spf-tools
%{_bindir}/mail-spfd
%{_bindir}/mail-spfquery
%{_mandir}/man1/mail-spfd.1*
%{_mandir}/man1/mail-spfquery.1*


%changelog
* Wed Feb 07 2024 tv <tv> 3.202.402.50-1.mga10
+ Revision: 2038392
- update to 3.20240205

* Mon Mar 28 2022 umeabot <umeabot> 2.9.0-9.mga9
+ Revision: 1829936
- Mageia 9 Mass Rebuild

* Wed Feb 12 2020 umeabot <umeabot> 2.9.0-8.mga8
+ Revision: 1495529
- Mageia 8 Mass Rebuild

* Wed Sep 19 2018 umeabot <umeabot> 2.9.0-7.mga7
+ Revision: 1269216
- Mageia 7 Mass Rebuild

* Sun Jun 19 2016 pterjan <pterjan> 2.9.0-6.mga6
+ Revision: 1029518
- Rebuild for perl 5.22.2

* Tue Feb 02 2016 umeabot <umeabot> 2.9.0-5.mga6
+ Revision: 931974
- Mageia 6 Mass Rebuild

* Wed Oct 15 2014 umeabot <umeabot> 2.9.0-4.mga5
+ Revision: 741527
- Second Mageia 5 Mass Rebuild

* Tue Sep 16 2014 umeabot <umeabot> 2.9.0-3.mga5
+ Revision: 685321
- Mageia 5 Mass Rebuild

* Sat Oct 19 2013 umeabot <umeabot> 2.9.0-2.mga4
+ Revision: 530376
- Mageia 4 Mass Rebuild

* Tue Jul 23 2013 sander85 <sander85> 2.9.0-1.mga4
+ Revision: 457493
- update to v2.9.0

* Sun Jan 13 2013 umeabot <umeabot> 2.8.0-2.mga3
+ Revision: 369426
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Wed Sep 26 2012 jquelin <jquelin> 2.8.0-1.mga3
+ Revision: 298376
- update to v2.8.0

* Thu Jan 13 2011 jquelin <jquelin> 2.7.0-3.mga1
+ Revision: 12766
- imported package perl-Mail-SPF

